#
# spec file for package curlew
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           curlew
Version:        0.1.22.3
Release:        4.12
Summary:        Multimedia converter
License:        Waqf
Group:          Productivity/Multimedia/Video/Convertors
Url:            http://sourceforge.net/projects/curlew/
Source0:        http://sourceforge.net/projects/curlew/files/curlew-0.1.22.3/%{name}-%{version}.tar.gz
# PATCH-FIX-OPENSUSE desktop.patch avvissu@yandex.ru -- Generic name of the application
Patch0:         curlew-0.1.22.3_desktop.patch
BuildRequires:  ImageMagick
BuildRequires:  desktop-file-utils
BuildRequires:  hicolor-icon-theme
BuildRequires:  intltool
BuildRequires:  python-devel
BuildRequires:  python-distutils-extra
BuildRequires:  python-gobject >= 3.0
BuildRequires:  python-setuptools
Requires:       ffmpeg
Requires:       mediainfo
Requires:       mencoder
Requires:       python-gobject
Requires:       xdg-utils
# Conflict with ffmpeg
#Requires:       libav-tools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Easy to use, Free and Open-Source Multimedia converter for Linux.
Curlew written in python and GTK3 and it depends on (ffmpeg/avconv,
mencoder).

Main Features:
  - Easy to use with simple user interface.
  - Hide the advanced options with the ability to show them.
  - Convert to more than 100 different formats.
  - Show file informations (duration, remaining time, estimated size,
    progress value).
  - Allow to skip or remove file during conversion process.
  - Preview file before conversion.
  - Convert a specified portion of file.
  - Combine subtitle with video file.
  - Show error details if exist.
  - And more ...

%prep
%setup -q
%patch0 -p1

# Fix spurious-executable-perm
find . -type f -perm /u+x -exec chmod 644 {} \; || :

%build
python setup.py build

%install
python setup.py install --root=%{buildroot}

%find_lang %{name}

%post
%icon_theme_cache_post
%desktop_database_post
# Notify user about changes
if [ $1 -ge 2 ] ; then
mkdir -p %{_localstatedir}/adm/update-messages
cat > %{_localstatedir}/adm/update-messages/%{name}-%{version} << EOF
INFO: ValueError: unsupported pickle protocol: 3
INFO: If you are switching between python versions, you will need to 
INFO: remove the old profile from ~/.%{name}
EOF
fi

%postun
%icon_theme_cache_postun
%desktop_database_postun

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc %{_datadir}/doc/curlew
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{python_sitelib}/Curlew
%{python_sitelib}/%{name}-*

%changelog
* Fri Apr 10 2015 avvissu@yandex.ru
- Initial package
